Bug 1120082 - Update JDG documentation for "Figure 1.1. JBoss Data Grid Cache Architecture"
Summary: Update JDG documentation for "Figure 1.1. JBoss Data Grid Cache Architecture"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Post GA
: 6.3.0
Assignee: Misha H. Ali
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 08:49 UTC by Lami Akagwu
Modified: 2014-08-14 01:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 12539, Getting Started Guide-6.3 Build Date: 16-07-2014 01:54:49 Topic ID: 9249-622022 [Latest]
Last Closed: 2014-08-14 01:39:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Lami Akagwu 2014-07-16 08:49:53 UTC
Title: Red Hat JBoss Data Grid Cache Architecture

Describe the issue:
----
     Elements that a user cannot directly interact with (depicted within a dark box). In Remote Client-Server mode, this includes Persistent Store, Cache, Cache Manager, L1 Cache, and Server Module. In Library mode, user cannot directly interact with Persistent Store and L1 Cache.
    Elements that a user can interact directly with (depicted within a light gray box). In Remote Client-Server mode, this includes the Application and the Cache Client. In Library mode, programmatic configurations are used to allow the user to interact with the Cache and Cache Manager, as well as the Application. 
----

The text above does not match the diagram. Perhaps it might be better to stick with colours Red, Black and Blue to make things clearer instead of usage of terms such as "dark box", "light gray box"

Suggestions for improvement:

Let the text match what the diagram is illustrating. It's confusing at present.

Additional information:

Comment 6 Martin Gencur 2014-07-22 07:07:32 UTC
Misha,
this looks fine. I have just one suggestion. Could we do this replacement?

"In Library mode, programmatic configurations are used to allow the user to interact with the Cache and Cache Manager, as well as the Application."
-->
"In Library mode, users are allowed to interact with the Cache and Cache Manager, as well as the Application."

I'm not sure why "programmatic configurations" were mentioned here but it's a bit confusing.

Comment 7 Misha H. Ali 2014-07-23 00:49:02 UTC
NP, Martin. Should be fixed now, same review link.

Comment 8 Martin Gencur 2014-07-28 07:42:46 UTC
Looks good.

Comment 9 Misha H. Ali 2014-08-14 01:39:52 UTC
The fix for this bug is now available on access.redhat.com:

https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.3/


Note You need to log in before you can comment on or make changes to this bug.